# geos::operation::overlay::PointBuilder Class Reference

Constructs geom::Point s from the nodes of an overlay graph. More...

`#include <PointBuilder.h>`

List of all members.

## Public Member Functions

| PointBuilder (OverlayOp *newOp, const geom::GeometryFactory *newGeometryFactory, algorithm::PointLocator *newPtLocator=NULL)
std::vector< geom::Point * > * | build (OverlayOp::OpCode opCode)

## Detailed Description

Constructs geom::Point s from the nodes of an overlay graph.

## Member Function Documentation

std::vector<geom::Point*>* geos::operation::overlay::PointBuilder::build | ( | OverlayOp::OpCode | opCode ) |

Returns:
  a list of the Points in the result of the specified overlay operation

The documentation for this class was generated from the following file:

- PointBuilder.h